# Function props

- props<T>(object): Promise<{
  [K in keyof T]: Awaited<T[K]>
  }>

- Like `Promise.all` but for object properties instead of array items. Returns a promise that is fulfilled when all the properties of the object are fulfilled. The promise's fulfillment value is an object with fulfillment values at respective keys to the original object. If any promise in the object rejects, the returned promise is rejected with the rejection reason.

  If `object` is a promise, then it will be treated as a promise for object rather than for its properties. All other objects are treated for their properties as returned by `Object.keys` - the object's own enumerable properties.

  #### Type Parameters

  - T extends object

  #### Parameters

  - object: T | Promise<T>

    The object containing promises.

  #### Returns Promise<{
  [K in keyof T]: Awaited<T[K]>
  }>